Skip to main content
`Ctrl`+`K`

# PCFactorSetFill

Indicate the amount of fill you expect in the factored matrix, fill = number nonzeros in factor/number nonzeros in original matrix.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFactorSetFill(PC pc, PetscReal fill)

Not Collective, each process can expect a different amount of fill

## Input Parameters

- pc - the preconditioner context

- fill - amount of expected fill

## Options Database Key

- -pc_factor_fill - Sets fill amount

## Notes

For sparse matrix factorizations it is difficult to predict how much fill to expect. By running with the option -info PETSc will print the actual amount of fill used; allowing you to set the value accurately for future runs. Default PETSc uses a value of 5.0

This is ignored for most solver packages

This parameter has NOTHING to do with the levels-of-fill of ILU(). That is set with `PCFactorSetLevels()` or -pc_factor_levels.

## See Also

KSP: Linear System Solvers, `PCLU`, `PCCHOLESKY`, `PCILU`, `PCICC`, `PCFactorSetReuseFill()`

## Level

intermediate

## Location

src/ksp/pc/impls/factor/factor.c

## Implementations

PCFactorSetFill_Factor() in src/ksp/pc/impls/factor/factimpl.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages